Bug 327941 - keyboard suddenly stops working
keyboard suddenly stops working
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-keyboard (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-11 12:42 EDT by Orion Poplawski
Modified: 2008-06-16 22:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:38:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf - iditarod (1.16 KB, application/octet-stream)
2007-10-17 13:05 EDT, Orion Poplawski
no flags Details
X log - iditarod (42.47 KB, text/plain)
2007-10-17 13:05 EDT, Orion Poplawski
no flags Details
xorg.conf - adelie (936 bytes, application/octet-stream)
2007-10-17 13:06 EDT, Orion Poplawski
no flags Details
x log - adelie (70.76 KB, text/plain)
2007-10-17 13:06 EDT, Orion Poplawski
no flags Details

  None (edit)
Description Orion Poplawski 2007-10-11 12:42:38 EDT
Description of problem:

I've got two users on very different laptops whose keyboards stop working
periodically (every couple of days).  Mouse is fine.  /dev/input/event1 still
generates codes when keys are pressed.

Anything else to test when it happens?

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.3.0.0-9.fc7
kernel-2.6.22.7-85.fc7
Comment 1 Matěj Cepl 2007-10-11 19:06:33 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Orion Poplawski 2007-10-17 13:05:13 EDT
Created attachment 230091 [details]
xorg.conf - iditarod
Comment 3 Orion Poplawski 2007-10-17 13:05:44 EDT
Created attachment 230101 [details]
X log - iditarod
Comment 4 Orion Poplawski 2007-10-17 13:06:15 EDT
Created attachment 230111 [details]
xorg.conf - adelie
Comment 5 Orion Poplawski 2007-10-17 13:06:42 EDT
Created attachment 230121 [details]
x log - adelie
Comment 6 Orion Poplawski 2007-10-17 13:07:31 EDT
Attached xorg.confs and logs.
Comment 7 Orion Poplawski 2007-11-19 17:53:51 EST
Still happening (at least on adelie).  Anything else to test when it happens?
Comment 8 Orion Poplawski 2007-11-21 17:02:51 EST
Um, what info is neeed?
Comment 9 Matěj Cepl 2007-11-22 11:00:40 EST
Unfortunately, no info, just our work is needed. :-(.
Comment 10 Bug Zapper 2008-05-14 10:43:02 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2008-06-16 22:38:39 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.